org.apache.jmeter.visualizers.backend.graphite

## Class SocketOutputStreamPoolFactory

- java.lang.Object
- - org.apache.commons.pool2.BaseObject
  - - org.apache.commons.pool2.BaseKeyedPooledObjectFactory<SocketConnectionInfos,SocketOutputStream>
    - - org.apache.jmeter.visualizers.backend.graphite.SocketOutputStreamPoolFactory

- All Implemented Interfaces:
    org.apache.commons.pool2.KeyedPooledObjectFactory<SocketConnectionInfos,SocketOutputStream>

      public class SocketOutputStreamPoolFactory
      extends org.apache.commons.pool2.BaseKeyedPooledObjectFactory<SocketConnectionInfos,SocketOutputStream>
      implements org.apache.commons.pool2.KeyedPooledObjectFactory<SocketConnectionInfos,SocketOutputStream>

  Pool Factory of `SocketOutputStream`
  Since:
    2.13

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocketOutputStreamPoolFactory(int socketConnectTimeoutInMillis, int socketTimeoutInMillis)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SocketOutputStream` | `create(SocketConnectionInfos connectionInfos)`
    `void` | `destroyObject(SocketConnectionInfos socketConnectionInfos, org.apache.commons.pool2.PooledObject<SocketOutputStream> socketOutputStream)`
    `org.apache.commons.pool2.PooledObject<SocketOutputStream>` | `makeObject(SocketConnectionInfos connectionInfos)`
    `boolean` | `validateObject(SocketConnectionInfos hostAndPort, org.apache.commons.pool2.PooledObject<SocketOutputStream> socketOutputStream)`
    `org.apache.commons.pool2.PooledObject<SocketOutputStream>` | `wrap(SocketOutputStream outputStream)`

    - ### Methods inherited from class org.apache.commons.pool2.BaseKeyedPooledObjectFactory

      `activateObject, passivateObject`

    - ### Methods inherited from class org.apache.commons.pool2.BaseObject

      `toString, toStringAppendFields`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.commons.pool2.KeyedPooledObjectFactory

      `activateObject, destroyObject, passivateObject`

- - ### Constructor Detail

    - #### SocketOutputStreamPoolFactory

          public SocketOutputStreamPoolFactory(int socketConnectTimeoutInMillis,
                                               int socketTimeoutInMillis)

  - ### Method Detail

    - #### makeObject

          public org.apache.commons.pool2.PooledObject<SocketOutputStream> makeObject(SocketConnectionInfos connectionInfos)
                                                                               throws Exception

      Specified by:
        `makeObject` in interface `org.apache.commons.pool2.KeyedPooledObjectFactory<SocketConnectionInfos,SocketOutputStream>`
      Overrides:
        `makeObject` in class `org.apache.commons.pool2.BaseKeyedPooledObjectFactory<SocketConnectionInfos,SocketOutputStream>`
      Throws:
        `Exception`

    - #### destroyObject

          public void destroyObject(SocketConnectionInfos socketConnectionInfos,
                                    org.apache.commons.pool2.PooledObject<SocketOutputStream> socketOutputStream)
                             throws Exception

      Specified by:
        `destroyObject` in interface `org.apache.commons.pool2.KeyedPooledObjectFactory<SocketConnectionInfos,SocketOutputStream>`
      Overrides:
        `destroyObject` in class `org.apache.commons.pool2.BaseKeyedPooledObjectFactory<SocketConnectionInfos,SocketOutputStream>`
      Throws:
        `Exception`

    - #### validateObject

          public boolean validateObject(SocketConnectionInfos hostAndPort,
                                        org.apache.commons.pool2.PooledObject<SocketOutputStream> socketOutputStream)

      Specified by:
        `validateObject` in interface `org.apache.commons.pool2.KeyedPooledObjectFactory<SocketConnectionInfos,SocketOutputStream>`
      Overrides:
        `validateObject` in class `org.apache.commons.pool2.BaseKeyedPooledObjectFactory<SocketConnectionInfos,SocketOutputStream>`

    - #### create

          public SocketOutputStream create(SocketConnectionInfos connectionInfos)
                                    throws Exception

      Specified by:
        `create` in class `org.apache.commons.pool2.BaseKeyedPooledObjectFactory<SocketConnectionInfos,SocketOutputStream>`
      Throws:
        `Exception`

    - #### wrap

          public org.apache.commons.pool2.PooledObject<SocketOutputStream> wrap(SocketOutputStream outputStream)

      Specified by:
        `wrap` in class `org.apache.commons.pool2.BaseKeyedPooledObjectFactory<SocketConnectionInfos,SocketOutputStream>`

Copyright © 1998-2022 Apache Software Foundation. All Rights Reserved.